//---------------------------------------------------------------------------

#ifndef BoardH
#define BoardH
//---------------------------------------------------------------------------
/*
    .    
,       
.
*/
class Board {
  private:
    //,      
    // . true -  , false - .
    bool accessible[8][8];

  public:
    //,     accessible
    // true.
    Board();

    /*
           ( 
     -    accessible == true).
       ,  ""  
      false, ..   
       .
      true,     false - 
       .
    */
    bool SetQueen(const int x, const int y);

    /*
          "" ,
         (x, y).  
       ,    
     , ..   
    accessible == true.
       ,  
    "" .
      0 -   .
    */
    int TestSquare(const int x, const int y);
};
//---------------------------------------------------------------------------
#endif
